# Uses of Interface
org.eclipse.ui.IReusableEditor

Packages that use IReusableEditor
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.compare.internal
org.eclipse.debug.ui.sourcelookup
Provides a user interface for debug platform source lookup facilities.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.internal
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of IReusableEditor in org.eclipse.compare

Methods in org.eclipse.compare with parameters of type IReusableEditor
Modifier and Type
Method
Description
`static void`
CompareUI.`reuseCompareEditor(CompareEditorInput input, IReusableEditor editor)`
Performs the comparison described by the given input and shows the result in the given editor.

## Uses of IReusableEditor in org.eclipse.compare.internal

Classes in org.eclipse.compare.internal that implement IReusableEditor
Modifier and Type
Class
Description
`class`
`CompareEditor`
A CompareEditor takes a ICompareEditorInput as input.
Methods in org.eclipse.compare.internal with parameters of type IReusableEditor
Modifier and Type
Method
Description
`void`
CompareUIPlugin.`openCompareEditor(CompareEditorInput input, IWorkbenchPage page, IReusableEditor editor, boolean activate)`
Performs the comparison described by the given input and opens a compare editor on the result.

## Uses of IReusableEditor in org.eclipse.debug.ui.sourcelookup

Classes in org.eclipse.debug.ui.sourcelookup that implement IReusableEditor
Modifier and Type
Class
Description
`class`
`CommonSourceNotFoundEditor`
Default editor displayed when source is not found.

## Uses of IReusableEditor in org.eclipse.ui

Methods in org.eclipse.ui with parameters of type IReusableEditor
Modifier and Type
Method
Description
`void`
IWorkbenchPage.`reuseEditor(IReusableEditor editor, IEditorInput input)`
Reuses the specified editor by setting its new input.

## Uses of IReusableEditor in org.eclipse.ui.editors.text

Classes in org.eclipse.ui.editors.text that implement IReusableEditor
Modifier and Type
Class
Description
`class`
`TextEditor`
The standard/default text editor.

## Uses of IReusableEditor in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal with parameters of type IReusableEditor
Modifier and Type
Method
Description
`void`
WorkbenchPage.`reuseEditor(IReusableEditor editor, IEditorInput input)`
See IWorkbenchPage.

## Uses of IReusableEditor in org.eclipse.ui.texteditor

Classes in org.eclipse.ui.texteditor that implement IReusableEditor
Modifier and Type
Class
Description
`class`
`AbstractDecoratedTextEditor`
An intermediate editor comprising functionality not present in the leaner `AbstractTextEditor`, but used in many heavy weight (and especially source editing) editors, such as line numbers, change ruler, overview ruler, print margins, current line highlighting, etc.
`class`
`AbstractTextEditor`
Abstract base implementation of a text editor.
`class`
`StatusTextEditor`
Capable of handling input elements that have an associated status with them.